graph.followerarraygraph

## Class FollowerArrayGraphEdge

- java.lang.Object
- - list.listinterface.Element
  - - graph.followerarraygraph.FollowerArrayGraphEdge

-     class FollowerArrayGraphEdge
      extends Element

  Hrana grafu. Je to wrapper okolo základní hrany. Základní hrana může být obohacena děděním např. o ohodnocení. Wrapper pak lze vkládat jako prvek do všelijakých struktur.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `direction` příznak: je hrana orientovaná od počátku k cíli?
    `private GraphEdge` | `edge` zapouzdřená základní hrana
    `private int` | `target` cílový vrchol, kam hrana vede

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FollowerArrayGraphEdge(GraphEdge anEdge, int aTarget, boolean backwards)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphEdge` | `GetEdge()`
    `int` | `GetTarget()`
    `boolean` | `IsDirection()` Orientace hrany.
    `void` | `SetEdge(GraphEdge value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### edge

          private GraphEdge edge

      zapouzdřená základní hrana

    - #### target

          private int target

      cílový vrchol, kam hrana vede

    - #### direction

          private boolean direction

      příznak: je hrana orientovaná od počátku k cíli?

  - ### Constructor Detail

    - #### FollowerArrayGraphEdge

          public FollowerArrayGraphEdge(GraphEdge anEdge,
                                        int aTarget,
                                        boolean backwards)

  - ### Method Detail

    - #### GetEdge

          public GraphEdge GetEdge()

      Returns:
        the edge

    - #### SetEdge

          public void SetEdge(GraphEdge value)

      Parameters:
        `value` - the edge to set

    - #### GetTarget

          public int GetTarget()

      Returns:
        the target

    - #### IsDirection

          public boolean IsDirection()

      Orientace hrany. True - hrana orientovaného grafu nebo zpětný duplikát hrany neorientovaného grafu, false - dopředný duplikát hrany neorientovaného grafu.
      Returns:
        the direction